Getting Ready for EST - Meeting #325

PRE-EST Kick-off Meeting in Madrid
2017-03-24 10:49 - GREST EST

Status: Closed Start date:

Priority: Normal Due date:

2nd assignee:

2017-04-01
2017-04-01

Description

History

#1 - 2017-03-24 10:49 - GREST EST
- Copied from Meeting #324: SOLARNET End-of-Project Meeting in Madrid added

#2 - 2017-03-24 10:50 - GREST EST
- Copied from deleted (Meeting #324: SOLARNET End-of-Project Meeting in Madrid)

#3 - 2017-03-24 11:20 - GREST EST

- Status changed from New to Scheduled

#4 - 2017-07-27 13:17 - GREST EST
- Status changed from Scheduled to Closed

2024-04-30
